Subject: bug#75209: 30.0.93; Emacs reader failed to read data in "/home/nlj/.cache/org-persist/gc-lock.eld"

From: Ihor Radchenko <[email-masked]>
Date: Sun, 27 Apr 2025 11:23:37 +0000

"N. Jackson" <[email-masked]> writes:

> Yes, after I made my last post here I built a fresh Emacs 30.1 on
> this faster system.  I wanted to see if the bug happens on this
> system without any of the patches.
> ....
> After lunch today I set the system into suspend and on resume this
> evening I saw the bug, the same as I was seeing it on my other
> system before the patches:

Thanks for testing!

> Going forward, now that it's established that this system _is_
> susceptible to the bug (with an unpatched Emacs 30.1), what is the
> best test to do next?  Should I restore the atomic write patch or
> restore the patch that let binds `write-region-inhibit-fsync' to
> nil?

Let's first try the `write-region-inhibit-fsync' patch and see if it
makes the bug disappear.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>